package com.zjrs.zwnw.sxgl.po;

import com.baomidou.mybatisplus.annotation.TableName;

@TableName(value = "wf_action_def")
public class WfactiondefPO {
    private String subsystype;       //子系统类别
    private String processDefId;       //流程版本升级时，要遵循命名规则加后缀
    private String processDefName;       //新加的，版本升级时名称不能变。id加后缀。
    private String actionDefId;       //除了唯一标识一个环节定义外，还用于授权时的标识。
    private String nextActionDefId;       //下一环节定义id
    private String startOrEnd;       //开始终止环节标志
    private String actionDefName;       //环节名称
    private String sortno;       //表示环节在流程中的先后顺序。不必精确。也不必体现分支、合并
    private String aae100;       //版本升级后，就无效了
    private String bae006;       //创建机构
    private String bae002;       //创建人
    private String bae003;       //创建时间
    private String attr;       //参数变量设置。savebtn=false/true

    public String getSubsystype() {
        return subsystype;
    }

    public void setSubsystype(String subsystype) {
        this.subsystype = subsystype;
    }

    public String getProcessDefId() {
        return processDefId;
    }

    public void setProcessDefId(String processDefId) {
        this.processDefId = processDefId;
    }

    public String getProcessDefName() {
        return processDefName;
    }

    public void setProcessDefName(String processDefName) {
        this.processDefName = processDefName;
    }

    public String getActionDefId() {
        return actionDefId;
    }

    public void setActionDefId(String actionDefId) {
        this.actionDefId = actionDefId;
    }

    public String getNextActionDefId() {
        return nextActionDefId;
    }

    public void setNextActionDefId(String nextActionDefId) {
        this.nextActionDefId = nextActionDefId;
    }

    public String getStartOrEnd() {
        return startOrEnd;
    }

    public void setStartOrEnd(String startOrEnd) {
        this.startOrEnd = startOrEnd;
    }

    public String getActionDefName() {
        return actionDefName;
    }

    public void setActionDefName(String actionDefName) {
        this.actionDefName = actionDefName;
    }

    public String getSortno() {
        return sortno;
    }

    public void setSortno(String sortno) {
        this.sortno = sortno;
    }

    public String getAae100() {
        return aae100;
    }

    public void setAae100(String aae100) {
        this.aae100 = aae100;
    }

    public String getBae006() {
        return bae006;
    }

    public void setBae006(String bae006) {
        this.bae006 = bae006;
    }

    public String getBae002() {
        return bae002;
    }

    public void setBae002(String bae002) {
        this.bae002 = bae002;
    }

    public String getBae003() {
        return bae003;
    }

    public void setBae003(String bae003) {
        this.bae003 = bae003;
    }

    public String getAttr() {
        return attr;
    }

    public void setAttr(String attr) {
        this.attr = attr;
    }
}
